Get a user snapshot
curl --request GET \
--url https://your-instance.example.com/api/user-snapshots/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/user-snapshots/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/user-snapshots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot": {
"_id": "665f1a0c0e0a4b001a2c9f80",
"name": "Top performer baseline 2026-05",
"counts": {
"automations": 5,
"prompts": 8,
"templates": 12
}
}
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}{
"error": "Snapshot not found",
"message": "No snapshot exists with the given id"
}User Snapshots
Get a user snapshot
Returns the full snapshot detail (automations, prompts, templates, source refs, counts) for the given snapshot id, subject to access rules.
GET
/
api
/
user-snapshots
/
{id}
Get a user snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Snapshot returned
Show child attributes
Show child attributes
Example:
{
"_id": "665f1a0c0e0a4b001a2c9f80",
"name": "Top performer baseline 2026-05",
"description": "Senior AE automations and prompts for Q2 rollout.",
"sourceOrgId": "64ee9a8b1e7f2a0011223344",
"sourceOrgName": "Acme Corp",
"sourceUserEmail": "alex@acme.example",
"sourceUserName": "Alex Rep",
"counts": {
"automations": 5,
"prompts": 8,
"templates": 12
},
"createdBy": "64ee9a8b1e7f2a001122339b",
"createdByName": "Pat Admin",
"createdByRole": "ADMIN",
"isGlobal": false,
"assignedOrgIds": ["64ee9a8b1e7f2a0011223344"],
"createdAt": "2026-05-15T09:00:00.000Z",
"updatedAt": "2026-05-15T09:00:00.000Z",
"automations": [
{
"name": "Move to Contacted on first reply"
}
],
"prompts": [{ "name": "Default warm-up prompt" }],
"templates": [
{ "name": "Intro - new lead", "type": "sms" }
],
"sourcePipelineStageRefs": [
{
"automationName": "Move to Contacted on first reply",
"field": "targetStage",
"value": "Contacted",
"refType": "pipelineStage",
"fieldLocation": "actions"
}
]
}
⌘I